#
# spec file for package python-python-lzo
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-lzo
Version:        1.12
Release:        bp154.1.25
Summary:        Python bindings for the LZO data compression library
License:        GPL-2.0-only
Group:          Development/Languages/Python
Url:            https://github.com/jd-boyd/python-lzo
Source:         https://files.pythonhosted.org/packages/source/p/python-lzo/python-lzo-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  fdupes
BuildRequires:  lzo-devel
BuildRequires:  python-rpm-macros

%python_subpackages

%description
This module provides Python bindings for the LZO data compression library.

LZO is a lossless data compression library. Decompression requires no
memory. Different compression levels can be used to achieve better
ratios at the expense of time.

%prep
%setup -q -n python-lzo-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitearch}
nosetests-%{$python_bin_suffix}
}

%files %{python_files}
%doc NEWS
%license COPYING
%{python_sitearch}/*

%changelog
* Wed Apr 10 2019 Jan Engelhardt <jengelh@inai.de>
- Trim sentences that have no comparison point.
* Mon Apr  8 2019 John Vandenberg <jayvdb@gmail.com>
- Remove unnecessary bcond test
- Use %%license
- Update to v1.12
  * Update Windows support to lzo 2.0x
  * Start Windows CI testing
  * Adjust setup.py for jhbuild compatibility
* Thu May 25 2017 toddrme2178@gmail.com
- Initial version
